
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #1081

Incorrect multichannel mapping when audio passthrough is enabled through alsa

March 24, 2021 17:16 - Rahul Lalwani

Status: Closed Start date: March 24, 2021

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

When multichannel formats are being played in audacious the sounds mapping is incorrect even in passthrough as it isn't being

passed correctly. below are what i have found for multiple formats

For most multichannel the sound is coming in from only one side when using alsa.

Pulse audio doesn't support 7.1 or truehd. Only two players are able to passthrough all formats correctly.

mpv shim by using the quoted in the config file "audio-spdif=ac3,dts,dts-hd,eac3,truehd"

and other kodi by killing pulse and disabling auto start of pulse.

kodi isn't lightweight and isn't that good as audacious for music.

mpv shim on the other hand is headless and runs through python which again not that good with playlist support and apart from that

some dts files plays like they have been sped up.

I've been trying to find one music player which can play stereo and multichannel with audio passthrough.

So far i haven't found any but I like audacious so if anyone can guide me how to repurpose the ffaudio plugin to support all of the

codecs i would be happy to work on it.

Just give me a direction from where I can start if you have information about these issues.

I will scan through the codes of kodi and mpv-shim to identify how they have implemented the passthrough.

thanks.

History

#1 - March 27, 2021 00:00 - John Lindgren

Lack of proper multi-channel mappings is a known issue, see #196.

#2 - April 13, 2021 03:52 - John Lindgren

- Status changed from New to Closed

Let's track this under #196. There's some discussion there already (from several years ago). If you want to work on it, that would be great, but it won't

be a quick-and-easy fix.
